
GammaLib - Action #654

Feature # 34 (Closed): Implement MC methods for all spectral models

Implement MC method for GModelSpectralLogParabola.

12/18/2012 12:37 PM - Knödlseder Jürgen

Status: Closed Start date: 01/07/2013

Priority: High Due date: 01/07/2013

Assigned To: Mayer Michael % Done: 100%

Category:  Estimated time: 4.00 hours

Target version: 00-08-00   

Description

History

#1 - 12/18/2012 12:38 PM - Knödlseder Jürgen

- Priority changed from Normal to High

#2 - 12/18/2012 03:49 PM - Mayer Michael

That should be feasible for me. But unfortunately I have no time left this year. I could start at the beginning of 2013...

#3 - 12/18/2012 04:38 PM - Knödlseder Jürgen

Ok, so we move it into the next release (GammaLib-00-08-00).

I would like to release GammaLib-00-07-00 by beginning of next year, and I'm trying to close all the actions and features for that release.

#4 - 12/18/2012 04:39 PM - Knödlseder Jürgen

- Assigned To set to Mayer Michael

#5 - 12/18/2012 04:40 PM - Knödlseder Jürgen

- Target version changed from 00-07-00 to 00-08-00

#6 - 01/07/2013 02:05 PM - Mayer Michael

- File figure_1.png added

- Due date set to 01/07/2013

- Status changed from New to Resolved

- Start date changed from 02/20/2012 to 01/07/2013

- % Done changed from 0 to 100

- Estimated time set to 4.00

- Remaining (hours) set to 4.0

I finished implementing the mc() method. It seems to work quite well (see the attached image). I pushed the branch 

034-MC-method-for-LogParabola-model to the central repository, but I am not able to set the status to pull request. Is it because it is an action, not a 

feature?

#7 - 01/07/2013 04:53 PM - Knödlseder Jürgen

Looks great!

There was a problem in the setup. Now you should be able to change the status to Pull Request.
I guess we still can merge this into release 00-07-00 :-)

#8 - 01/07/2013 04:59 PM - Knödlseder Jürgen

- Target version deleted (00-08-00)

#9 - 01/07/2013 05:04 PM - Knödlseder Jürgen

By the way: can you send me the XML file with sensible values for the Crab spectrum? I would like to create a couple of pull distributions to validate

the model (see for example [[GModelSpectralPlaw]]).

#10 - 01/07/2013 06:46 PM - Mayer Michael

- Status changed from Resolved to Pull request

- Remaining (hours) changed from 4.0 to 0.0

#11 - 01/11/2013 12:32 AM - Knödlseder Jürgen

- Target version set to 00-08-00

#12 - 01/11/2013 12:34 AM - Knödlseder Jürgen

- Status changed from Pull request to Closed

Merged into release branch.
